/* eslint-env: jest */
import React from 'react';
import {cleanup} from '@testing-library/react';
import SettingPage from './SettingPage';
import {renderWithRouter} from "../../testUtil";

describe('<SettingPage />', () => {

    afterEach(cleanup);

    it('should render the current accountId', async () => {
        const route = "ui/setting?accountId=2";
        const {getByText} = renderWithRouter(<SettingPage/>, {route});
        getByText(/Setting Page for accountId 2/i)
    });

});
