import React from 'react';
import './App.css';
import Nav from './components/Nav/Nav';
import RootRouter from './RootRouter';
import ClientConfigContext from './ClientConfigContext';

const App = props => (
    <ClientConfigContext.Provider value={props}>
        <master-frame id="##NAME##">
            <div className="page-container">
                <RootRouter {...props}>
                    <Nav />
                </RootRouter>
            </div>
        </master-frame>
    </ClientConfigContext.Provider>
);

export default App;
