import React from 'react';
import logo from './imperva.png';
import styles from './Welcome.module.css';

function Welcome() {
    return (
        <div className={styles.Welcome}>
            <img src={logo} className={styles.WelcomeLogo} alt="logo"/>
            <p>
                Create React App Imperva <br/>
                Edit <code>src/App.js</code> and save to reload.
            </p>
            <a
                className={styles.WelcomeLink}
                href="https://reactjs.org"
                target="_blank"
                rel="noopener noreferrer"
            >
                Learn React
            </a>
        </div>
    );
}

export default Welcome;
